Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870827
Category:Red Hat Local Security Checks
Title:RedHat Update for ghostscript RHSA-2012:1256-01
Summary:The remote host is missing an update for the 'ghostscript'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'ghostscript'
package(s) announced via the referenced advisory.

Vulnerability Insight:
Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

An integer overflow flaw, leading to a heap-based buffer overflow, was
found in Ghostscript's International Color Consortium Format library
(icclib). An attacker could create a specially-crafted PostScript or PDF
file with embedded images that would cause Ghostscript to crash or,
potentially, execute arbitrary code with the privileges of the user running
Ghostscript. (CVE-2012-4405)

Red Hat would like to thank Marc Schoenefeld for reporting this issue.

Users of Ghostscript are advised to upgrade to these updated packages,
which contain a backported patch to correct this issue.

Affected Software/OS:
ghostscript on Red Hat Enterprise Linux (v. 5 server),
Red Hat Enterprise Linux Desktop (v. 6),
Red Hat Enterprise Linux Server (v. 6),
Red Hat Enterprise Linux Workstation (v. 6)

Solution:
Please Install the Updated Packages.

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2012-4405
BugTraq ID: 55494
http://www.securityfocus.com/bid/55494
http://security.gentoo.org/glsa/glsa-201412-17.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2012:151
http://www.mandriva.com/security/advisories?name=MDVSA-2013:089
http://www.mandriva.com/security/advisories?name=MDVSA-2013:090
http://www.openwall.com/lists/oss-security/2012/09/11/2
RedHat Security Advisories: RHSA-2012:1256
http://rhn.redhat.com/errata/RHSA-2012-1256.html
http://www.securitytracker.com/id?1027517
http://secunia.com/advisories/50719
SuSE Security Announcement: SUSE-SU-2012:1222 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-09/msg00031.html
SuSE Security Announcement: openSUSE-SU-2012:1289 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-10/msg00001.html
SuSE Security Announcement: openSUSE-SU-2012:1290 (Google Search)
http://lists.opensuse.org/opensuse-updates/2012-10/msg00015.html
http://www.ubuntu.com/usn/USN-1581-1
XForce ISS Database: icclib-pdf-bo(78411)
https://exchange.xforce.ibmcloud.com/vulnerabilities/78411
CopyrightCopyright (c) 2012 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.